Solicitar alteracao de chave PIX
curl --request PATCH \
--url https://api.uvvipay.com.br/v1/submerchants/{internalId}/bank-account/pix-key \
--header 'Content-Type: application/json' \
--header 'client-id: <api-key>' \
--header 'client-secret: <api-key>' \
--data '
{
"pixType": "cpf",
"pixKey": "12345678900"
}
'import requests
url = "https://api.uvvipay.com.br/v1/submerchants/{internalId}/bank-account/pix-key"
payload = {
"pixType": "cpf",
"pixKey": "12345678900"
}
headers = {
"client-secret": "<api-key>",
"client-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'client-secret': '<api-key>',
'client-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({pixType: 'cpf', pixKey: '12345678900'})
};
fetch('https://api.uvvipay.com.br/v1/submerchants/{internalId}/bank-account/pix-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Subcontas
Solicitar alteração de chave PIX
Cria uma solicitacao de alteracao da chave PIX da subconta. A alteracao fica pendente ate aprovacao.
PATCH
/
v1
/
submerchants
/
{internalId}
/
bank-account
/
pix-key
Solicitar alteracao de chave PIX
Headers
Secret da credencial do merchant
ID público da credencial do merchant
Path Parameters
Identificador interno (UUID) da subconta
Body
application/json
Response
Solicitacao de alteracao criada com sucesso
⌘I

